OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Attributes | List of all members
juce::MidiRPNMessage Struct Reference

`#include <juce_MidiRPN.h>`

## Public Attributes
int | channel
int | parameterNumber
int | value
bool | isNRPN
bool | is14BitValue

## Detailed Description

Represents a MIDI RPN (registered parameter number) or NRPN (non-registered parameter number) message.

Definition at line 32 of file juce_MidiRPN.h.

## Member Data Documentation

## ◆ channel

int juce::MidiRPNMessage::channel

Midi channel of the message, in the range 1 to 16.

Definition at line 35 of file juce_MidiRPN.h.

Referenced by juce::MidiRPNGenerator::generate().

## ◆ is14BitValue

bool juce::MidiRPNMessage::is14BitValue

True if the value uses 14-bit resolution (LSB + MSB); false if the value is 7-bit (MSB only).

Definition at line 52 of file juce_MidiRPN.h.

Referenced by juce::MidiRPNGenerator::generate().

## ◆ isNRPN

bool juce::MidiRPNMessage::isNRPN

True if this message is an NRPN; false if it is an RPN.

Definition at line 47 of file juce_MidiRPN.h.

Referenced by juce::MidiRPNGenerator::generate().

## ◆ parameterNumber

int juce::MidiRPNMessage::parameterNumber

The 14-bit parameter index, in the range 0 to 16383 (0x3fff).

Definition at line 38 of file juce_MidiRPN.h.

Referenced by juce::MidiRPNGenerator::generate().

## ◆ value

int juce::MidiRPNMessage::value

The parameter value, in the range 0 to 16383 (0x3fff). If the message contains no value LSB, the value will be in the range 0 to 127 (0x7f).

Definition at line 44 of file juce_MidiRPN.h.

Referenced by juce::MidiRPNGenerator::generate().

The documentation for this struct was generated from the following file:

- juce_MidiRPN.h